Bug 1194934 - (CVE-2022-21294) VUL-0: CVE-2022-21294: java-17-openjdk,java-11-openjdk,java-1_8_0-openjdk,java-1_7_0-openjdk: Incorrect IdentityHashMap size checks during deserialization
(CVE-2022-21294)
VUL-0: CVE-2022-21294: java-17-openjdk,java-11-openjdk,java-1_8_0-openjdk,jav...
Status: REOPENED
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P3 - Medium : Normal
: ---
Assigned To: Fridrich Strba
Security Team bot
https://smash.suse.de/issue/320869/
CVSSv3.1:SUSE:CVE-2022-21294:5.3:(AV:...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2022-01-20 10:00 UTC by Alexander Bergmann
Modified: 2022-05-27 12:48 UTC (History)
3 users (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Bergmann 2022-01-20 10:00:00 UTC
rh#2041427

It was discovered that the implementation of the IdentityHashMap class in the Libraries component of OpenJDK did properly validate the value of its size attribute when creating object instance from a serialized form. A specially-crafted input could cause a Java application to use an excessive amount of memory when deserialized.

References:
https://bugzilla.redhat.com/show_bug.cgi?id=2041427
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2022-21294
https://www.oracle.com/security-alerts/cpujan2022.html#CVE-2022-21294
https://www.oracle.com/security-alerts/cpujan2022.html
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2022-21294
Comment 6 Swamp Workflow Management 2022-03-04 17:27:28 UTC
SUSE-SU-2022:0730-1: An update that fixes 15 vulnerabilities is now available.

Category: security (moderate)
Bug References: 1194925,1194926,1194927,1194928,1194929,1194930,1194931,1194932,1194933,1194934,1194935,1194937,1194939,1194940,1194941
CVE References: CVE-2022-21248,CVE-2022-21277,CVE-2022-21282,CVE-2022-21283,CVE-2022-21291,CVE-2022-21293,CVE-2022-21294,CVE-2022-21296,CVE-2022-21299,CVE-2022-21305,CVE-2022-21340,CVE-2022-21341,CVE-2022-21360,CVE-2022-21365,CVE-2022-21366
JIRA References: 
Sources used:
SUSE Linux Enterprise Server 12-SP5 (src):    java-11-openjdk-11.0.14.0-3.40.4

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 10 Swamp Workflow Management 2022-03-14 14:23:49 UTC
openSUSE-SU-2022:0816-1: An update that fixes 15 vulnerabilities is now available.

Category: security (moderate)
Bug References: 1194925,1194926,1194927,1194928,1194929,1194930,1194931,1194932,1194933,1194934,1194935,1194937,1194939,1194940,1194941
CVE References: CVE-2022-21248,CVE-2022-21277,CVE-2022-21282,CVE-2022-21283,CVE-2022-21291,CVE-2022-21293,CVE-2022-21294,CVE-2022-21296,CVE-2022-21299,CVE-2022-21305,CVE-2022-21340,CVE-2022-21341,CVE-2022-21360,CVE-2022-21365,CVE-2022-21366
JIRA References: 
Sources used:
openSUSE Leap 15.3 (src):    java-11-openjdk-11.0.14.0-3.74.2
Comment 11 Swamp Workflow Management 2022-03-14 14:31:50 UTC
SUSE-SU-2022:0816-1: An update that fixes 15 vulnerabilities is now available.

Category: security (moderate)
Bug References: 1194925,1194926,1194927,1194928,1194929,1194930,1194931,1194932,1194933,1194934,1194935,1194937,1194939,1194940,1194941
CVE References: CVE-2022-21248,CVE-2022-21277,CVE-2022-21282,CVE-2022-21283,CVE-2022-21291,CVE-2022-21293,CVE-2022-21294,CVE-2022-21296,CVE-2022-21299,CVE-2022-21305,CVE-2022-21340,CVE-2022-21341,CVE-2022-21360,CVE-2022-21365,CVE-2022-21366
JIRA References: 
Sources used:
SUSE Linux Enterprise Realtime Extension 15-SP2 (src):    java-11-openjdk-11.0.14.0-3.74.2
SUSE Linux Enterprise Module for Packagehub Subpackages 15-SP3 (src):    java-11-openjdk-11.0.14.0-3.74.2
SUSE Linux Enterprise Module for Basesystem 15-SP3 (src):    java-11-openjdk-11.0.14.0-3.74.2

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 12 Swamp Workflow Management 2022-03-16 14:19:19 UTC
openSUSE-SU-2022:0870-1: An update that fixes 14 vulnerabilities is now available.

Category: security (important)
Bug References: 1194925,1194926,1194927,1194928,1194929,1194930,1194931,1194932,1194933,1194934,1194935,1194939,1194940,1194941
CVE References: CVE-2022-21248,CVE-2022-21277,CVE-2022-21282,CVE-2022-21291,CVE-2022-21293,CVE-2022-21294,CVE-2022-21296,CVE-2022-21299,CVE-2022-21305,CVE-2022-21340,CVE-2022-21341,CVE-2022-21360,CVE-2022-21365,CVE-2022-21366
JIRA References: 
Sources used:
openSUSE Leap 15.4 (src):    java-1_8_0-openj9-1.8.0.322-3.21.2
openSUSE Leap 15.3 (src):    java-1_8_0-openj9-1.8.0.322-3.21.2
Comment 13 Swamp Workflow Management 2022-03-16 14:21:58 UTC
SUSE-SU-2022:0871-1: An update that solves 13 vulnerabilities and has three fixes is now available.

Category: security (important)
Bug References: 1193314,1193444,1193491,1194926,1194928,1194929,1194931,1194932,1194933,1194934,1194935,1194937,1194939,1194940,1194941,1195163
CVE References: CVE-2022-21248,CVE-2022-21282,CVE-2022-21283,CVE-2022-21293,CVE-2022-21294,CVE-2022-21296,CVE-2022-21299,CVE-2022-21305,CVE-2022-21340,CVE-2022-21341,CVE-2022-21349,CVE-2022-21360,CVE-2022-21365
JIRA References: 
Sources used:
SUSE OpenStack Cloud Crowbar 9 (src):    java-1_8_0-openjdk-1.8.0.322-27.72.2
SUSE OpenStack Cloud Crowbar 8 (src):    java-1_8_0-openjdk-1.8.0.322-27.72.2
SUSE OpenStack Cloud 9 (src):    java-1_8_0-openjdk-1.8.0.322-27.72.2
SUSE OpenStack Cloud 8 (src):    java-1_8_0-openjdk-1.8.0.322-27.72.2
SUSE Linux Enterprise Server for SAP 12-SP4 (src):    java-1_8_0-openjdk-1.8.0.322-27.72.2
SUSE Linux Enterprise Server for SAP 12-SP3 (src):    java-1_8_0-openjdk-1.8.0.322-27.72.2
SUSE Linux Enterprise Server 12-SP5 (src):    java-1_8_0-openjdk-1.8.0.322-27.72.2
SUSE Linux Enterprise Server 12-SP4-LTSS (src):    java-1_8_0-openjdk-1.8.0.322-27.72.2
SUSE Linux Enterprise Server 12-SP3-LTSS (src):    java-1_8_0-openjdk-1.8.0.322-27.72.2
SUSE Linux Enterprise Server 12-SP3-BCL (src):    java-1_8_0-openjdk-1.8.0.322-27.72.2
SUSE Linux Enterprise Server 12-SP2-BCL (src):    java-1_8_0-openjdk-1.8.0.322-27.72.2
HPE Helion Openstack 8 (src):    java-1_8_0-openjdk-1.8.0.322-27.72.2

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 14 Swamp Workflow Management 2022-03-16 14:27:52 UTC
SUSE-SU-2022:0873-1: An update that solves 13 vulnerabilities and has three fixes is now available.

Category: security (important)
Bug References: 1193314,1193444,1193491,1194926,1194928,1194929,1194931,1194932,1194933,1194934,1194935,1194937,1194939,1194940,1194941,1195163
CVE References: CVE-2022-21248,CVE-2022-21282,CVE-2022-21283,CVE-2022-21293,CVE-2022-21294,CVE-2022-21296,CVE-2022-21299,CVE-2022-21305,CVE-2022-21340,CVE-2022-21341,CVE-2022-21349,CVE-2022-21360,CVE-2022-21365
JIRA References: 
Sources used:
SUSE Manager Server 4.1 (src):    java-1_8_0-openjdk-1.8.0.322-3.64.2
SUSE Manager Retail Branch Server 4.1 (src):    java-1_8_0-openjdk-1.8.0.322-3.64.2
SUSE Manager Proxy 4.1 (src):    java-1_8_0-openjdk-1.8.0.322-3.64.2
SUSE Linux Enterprise Server for SAP 15-SP2 (src):    java-1_8_0-openjdk-1.8.0.322-3.64.2
SUSE Linux Enterprise Server for SAP 15-SP1 (src):    java-1_8_0-openjdk-1.8.0.322-3.64.2
SUSE Linux Enterprise Server for SAP 15 (src):    java-1_8_0-openjdk-1.8.0.322-3.64.2
SUSE Linux Enterprise Server 15-SP2-LTSS (src):    java-1_8_0-openjdk-1.8.0.322-3.64.2
SUSE Linux Enterprise Server 15-SP1-LTSS (src):    java-1_8_0-openjdk-1.8.0.322-3.64.2
SUSE Linux Enterprise Server 15-SP1-BCL (src):    java-1_8_0-openjdk-1.8.0.322-3.64.2
SUSE Linux Enterprise Server 15-LTSS (src):    java-1_8_0-openjdk-1.8.0.322-3.64.2
SUSE Linux Enterprise Module for Legacy Software 15-SP4 (src):    java-1_8_0-openjdk-1.8.0.322-3.64.2
SUSE Linux Enterprise Module for Legacy Software 15-SP3 (src):    java-1_8_0-openjdk-1.8.0.322-3.64.2
SUSE Enterprise Storage 7 (src):    java-1_8_0-openjdk-1.8.0.322-3.64.2
SUSE Enterprise Storage 6 (src):    java-1_8_0-openjdk-1.8.0.322-3.64.2
SUSE CaaS Platform 4.0 (src):    java-1_8_0-openjdk-1.8.0.322-3.64.2

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 15 Swamp Workflow Management 2022-03-16 14:31:48 UTC
openSUSE-SU-2022:0873-1: An update that solves 13 vulnerabilities and has three fixes is now available.

Category: security (important)
Bug References: 1193314,1193444,1193491,1194926,1194928,1194929,1194931,1194932,1194933,1194934,1194935,1194937,1194939,1194940,1194941,1195163
CVE References: CVE-2022-21248,CVE-2022-21282,CVE-2022-21283,CVE-2022-21293,CVE-2022-21294,CVE-2022-21296,CVE-2022-21299,CVE-2022-21305,CVE-2022-21340,CVE-2022-21341,CVE-2022-21349,CVE-2022-21360,CVE-2022-21365
JIRA References: 
Sources used:
openSUSE Leap 15.4 (src):    java-1_8_0-openjdk-1.8.0.322-3.64.2
openSUSE Leap 15.3 (src):    java-1_8_0-openjdk-1.8.0.322-3.64.2
Comment 17 Swamp Workflow Management 2022-03-23 11:18:29 UTC
SUSE-SU-2022:14926-1: An update that fixes 17 vulnerabilities is now available.

Category: security (important)
Bug References: 1194925,1194926,1194927,1194928,1194929,1194930,1194931,1194932,1194933,1194934,1194935,1194937,1194939,1194940,1194941,1196500,1197126
CVE References: CVE-2022-21248,CVE-2022-21271,CVE-2022-21277,CVE-2022-21282,CVE-2022-21283,CVE-2022-21291,CVE-2022-21293,CVE-2022-21294,CVE-2022-21296,CVE-2022-21299,CVE-2022-21305,CVE-2022-21340,CVE-2022-21341,CVE-2022-21349,CVE-2022-21360,CVE-2022-21365,CVE-2022-21366
JIRA References: 
Sources used:
SUSE Linux Enterprise Point of Sale 11-SP3 (src):    java-1_7_0-ibm-1.7.0_sr11.5-65.66.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 18 Swamp Workflow Management 2022-03-23 14:18:33 UTC
SUSE-SU-2022:14927-1: An update that fixes 17 vulnerabilities is now available.

Category: security (important)
Bug References: 1194925,1194926,1194927,1194928,1194929,1194930,1194931,1194932,1194933,1194934,1194935,1194937,1194939,1194940,1194941,1196500,1197126
CVE References: CVE-2022-21248,CVE-2022-21271,CVE-2022-21277,CVE-2022-21282,CVE-2022-21283,CVE-2022-21291,CVE-2022-21293,CVE-2022-21294,CVE-2022-21296,CVE-2022-21299,CVE-2022-21305,CVE-2022-21340,CVE-2022-21341,CVE-2022-21349,CVE-2022-21360,CVE-2022-21365,CVE-2022-21366
JIRA References: 
Sources used:
SUSE Linux Enterprise Server 11-SP4-LTSS (src):    java-1_7_1-ibm-1.7.1_sr5.5-26.71.2

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 19 Swamp Workflow Management 2022-03-29 19:21:29 UTC
SUSE-SU-2022:1026-1: An update that solves 17 vulnerabilities and has one errata is now available.

Category: security (important)
Bug References: 1194925,1194926,1194927,1194928,1194929,1194930,1194931,1194932,1194933,1194934,1194935,1194937,1194939,1194940,1194941,1195146,1196500,1197126
CVE References: CVE-2022-21248,CVE-2022-21271,CVE-2022-21277,CVE-2022-21282,CVE-2022-21283,CVE-2022-21291,CVE-2022-21293,CVE-2022-21294,CVE-2022-21296,CVE-2022-21299,CVE-2022-21305,CVE-2022-21340,CVE-2022-21341,CVE-2022-21349,CVE-2022-21360,CVE-2022-21365,CVE-2022-21366
JIRA References: 
Sources used:
SUSE OpenStack Cloud Crowbar 9 (src):    java-1_8_0-ibm-1.8.0_sr7.5-30.87.1
SUSE OpenStack Cloud Crowbar 8 (src):    java-1_8_0-ibm-1.8.0_sr7.5-30.87.1
SUSE OpenStack Cloud 9 (src):    java-1_8_0-ibm-1.8.0_sr7.5-30.87.1
SUSE OpenStack Cloud 8 (src):    java-1_8_0-ibm-1.8.0_sr7.5-30.87.1
SUSE Linux Enterprise Software Development Kit 12-SP5 (src):    java-1_8_0-ibm-1.8.0_sr7.5-30.87.1
SUSE Linux Enterprise Server for SAP 12-SP4 (src):    java-1_8_0-ibm-1.8.0_sr7.5-30.87.1
SUSE Linux Enterprise Server for SAP 12-SP3 (src):    java-1_8_0-ibm-1.8.0_sr7.5-30.87.1
SUSE Linux Enterprise Server 12-SP5 (src):    java-1_8_0-ibm-1.8.0_sr7.5-30.87.1
SUSE Linux Enterprise Server 12-SP4-LTSS (src):    java-1_8_0-ibm-1.8.0_sr7.5-30.87.1
SUSE Linux Enterprise Server 12-SP3-LTSS (src):    java-1_8_0-ibm-1.8.0_sr7.5-30.87.1
SUSE Linux Enterprise Server 12-SP3-BCL (src):    java-1_8_0-ibm-1.8.0_sr7.5-30.87.1
SUSE Linux Enterprise Server 12-SP2-BCL (src):    java-1_8_0-ibm-1.8.0_sr7.5-30.87.1
HPE Helion Openstack 8 (src):    java-1_8_0-ibm-1.8.0_sr7.5-30.87.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 20 Swamp Workflow Management 2022-03-29 19:26:23 UTC
SUSE-SU-2022:1027-1: An update that solves 17 vulnerabilities and has one errata is now available.

Category: security (important)
Bug References: 1194925,1194926,1194927,1194928,1194929,1194930,1194931,1194932,1194933,1194934,1194935,1194937,1194939,1194940,1194941,1195146,1196500,1197126
CVE References: CVE-2022-21248,CVE-2022-21271,CVE-2022-21277,CVE-2022-21282,CVE-2022-21283,CVE-2022-21291,CVE-2022-21293,CVE-2022-21294,CVE-2022-21296,CVE-2022-21299,CVE-2022-21305,CVE-2022-21340,CVE-2022-21341,CVE-2022-21349,CVE-2022-21360,CVE-2022-21365,CVE-2022-21366
JIRA References: 
Sources used:
SUSE Manager Server 4.1 (src):    java-1_8_0-ibm-1.8.0_sr7.5-150000.3.56.1
SUSE Manager Retail Branch Server 4.1 (src):    java-1_8_0-ibm-1.8.0_sr7.5-150000.3.56.1
SUSE Manager Proxy 4.1 (src):    java-1_8_0-ibm-1.8.0_sr7.5-150000.3.56.1
SUSE Linux Enterprise Server for SAP 15-SP2 (src):    java-1_8_0-ibm-1.8.0_sr7.5-150000.3.56.1
SUSE Linux Enterprise Server for SAP 15-SP1 (src):    java-1_8_0-ibm-1.8.0_sr7.5-150000.3.56.1
SUSE Linux Enterprise Server for SAP 15 (src):    java-1_8_0-ibm-1.8.0_sr7.5-150000.3.56.1
SUSE Linux Enterprise Server 15-SP2-LTSS (src):    java-1_8_0-ibm-1.8.0_sr7.5-150000.3.56.1
SUSE Linux Enterprise Server 15-SP1-LTSS (src):    java-1_8_0-ibm-1.8.0_sr7.5-150000.3.56.1
SUSE Linux Enterprise Server 15-SP1-BCL (src):    java-1_8_0-ibm-1.8.0_sr7.5-150000.3.56.1
SUSE Linux Enterprise Server 15-LTSS (src):    java-1_8_0-ibm-1.8.0_sr7.5-150000.3.56.1
SUSE Linux Enterprise Module for Legacy Software 15-SP4 (src):    java-1_8_0-ibm-1.8.0_sr7.5-150000.3.56.1
SUSE Linux Enterprise Module for Legacy Software 15-SP3 (src):    java-1_8_0-ibm-1.8.0_sr7.5-150000.3.56.1
SUSE Enterprise Storage 7 (src):    java-1_8_0-ibm-1.8.0_sr7.5-150000.3.56.1
SUSE Enterprise Storage 6 (src):    java-1_8_0-ibm-1.8.0_sr7.5-150000.3.56.1
SUSE CaaS Platform 4.0 (src):    java-1_8_0-ibm-1.8.0_sr7.5-150000.3.56.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 21 Swamp Workflow Management 2022-03-29 19:28:58 UTC
SUSE-SU-2022:1025-1: An update that fixes 17 vulnerabilities is now available.

Category: security (important)
Bug References: 1194925,1194926,1194927,1194928,1194929,1194930,1194931,1194932,1194933,1194934,1194935,1194937,1194939,1194940,1194941,1196500,1197126
CVE References: CVE-2022-21248,CVE-2022-21271,CVE-2022-21277,CVE-2022-21282,CVE-2022-21283,CVE-2022-21291,CVE-2022-21293,CVE-2022-21294,CVE-2022-21296,CVE-2022-21299,CVE-2022-21305,CVE-2022-21340,CVE-2022-21341,CVE-2022-21349,CVE-2022-21360,CVE-2022-21365,CVE-2022-21366
JIRA References: 
Sources used:
SUSE OpenStack Cloud Crowbar 9 (src):    java-1_7_1-ibm-1.7.1_sr5.5-38.68.1
SUSE OpenStack Cloud Crowbar 8 (src):    java-1_7_1-ibm-1.7.1_sr5.5-38.68.1
SUSE OpenStack Cloud 9 (src):    java-1_7_1-ibm-1.7.1_sr5.5-38.68.1
SUSE OpenStack Cloud 8 (src):    java-1_7_1-ibm-1.7.1_sr5.5-38.68.1
SUSE Linux Enterprise Software Development Kit 12-SP5 (src):    java-1_7_1-ibm-1.7.1_sr5.5-38.68.1
SUSE Linux Enterprise Server for SAP 12-SP4 (src):    java-1_7_1-ibm-1.7.1_sr5.5-38.68.1
SUSE Linux Enterprise Server for SAP 12-SP3 (src):    java-1_7_1-ibm-1.7.1_sr5.5-38.68.1
SUSE Linux Enterprise Server 12-SP5 (src):    java-1_7_1-ibm-1.7.1_sr5.5-38.68.1
SUSE Linux Enterprise Server 12-SP4-LTSS (src):    java-1_7_1-ibm-1.7.1_sr5.5-38.68.1
SUSE Linux Enterprise Server 12-SP3-LTSS (src):    java-1_7_1-ibm-1.7.1_sr5.5-38.68.1
SUSE Linux Enterprise Server 12-SP3-BCL (src):    java-1_7_1-ibm-1.7.1_sr5.5-38.68.1
SUSE Linux Enterprise Server 12-SP2-BCL (src):    java-1_7_1-ibm-1.7.1_sr5.5-38.68.1
HPE Helion Openstack 8 (src):    java-1_7_1-ibm-1.7.1_sr5.5-38.68.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 22 Swamp Workflow Management 2022-03-29 19:33:43 UTC
openSUSE-SU-2022:1027-1: An update that solves 17 vulnerabilities and has one errata is now available.

Category: security (important)
Bug References: 1194925,1194926,1194927,1194928,1194929,1194930,1194931,1194932,1194933,1194934,1194935,1194937,1194939,1194940,1194941,1195146,1196500,1197126
CVE References: CVE-2022-21248,CVE-2022-21271,CVE-2022-21277,CVE-2022-21282,CVE-2022-21283,CVE-2022-21291,CVE-2022-21293,CVE-2022-21294,CVE-2022-21296,CVE-2022-21299,CVE-2022-21305,CVE-2022-21340,CVE-2022-21341,CVE-2022-21349,CVE-2022-21360,CVE-2022-21365,CVE-2022-21366
JIRA References: 
Sources used:
openSUSE Leap 15.4 (src):    java-1_8_0-ibm-1.8.0_sr7.5-150000.3.56.1
openSUSE Leap 15.3 (src):    java-1_8_0-ibm-1.8.0_sr7.5-150000.3.56.1
Comment 23 Petr Ostadal 2022-04-07 09:36:10 UTC
fixed